//+------------------------------------------------------------------+
//|                                                     High_Low.mq4 |
//|                                                  ThinkTrustTrade |
//|                                        www.think-trust-trade.com |
//+------------------------------------------------------------------+
#property copyright "ThinkTrustTrade"
#property link      "www.think-trust-trade.com"

#property indicator_chart_window

extern string  Visit="www.think-trust-trade.com";
extern string  Like="www.facebook.com/ThinkTrustTrade";

extern color color1=Blue;
extern color color2=Green;
extern color color3=Red;
extern color color4=Olive;
extern color color5=Pink;
extern color color6=Yellow;
extern color color7=DarkOrchid;
extern color color8=LightYellow;
extern int fontsize=9;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
ObjectDelete("D_OPEN");
ObjectDelete("W_OPEN");  
ObjectDelete("Y_HIGH");  
ObjectDelete("Y_LOW");  
ObjectDelete("Y_CLOSE");
ObjectDelete("W_HIGH");  
ObjectDelete("W_LOW");  
ObjectDelete("W_CLOSE"); 
ObjectDelete("D_OPEN_T");
ObjectDelete("W_OPEN_T");  
ObjectDelete("Y_HIGH_T");  
ObjectDelete("Y_LOW_T");
ObjectDelete("Y_CLOSE_T");  
ObjectDelete("W_HIGH_T");  
ObjectDelete("W_LOW_T");  
ObjectDelete("W_CLOSE_T");  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
double d_open, y_high, y_low, w_high, w_low; 
d_open=iOpen(Symbol(),PERIOD_D1,0);
y_high=iHigh(Symbol(),PERIOD_D1,1);
y_low =iLow (Symbol(),PERIOD_D1,1);
w_high=iHigh(Symbol(),PERIOD_W1,1);
w_low =iLow (Symbol(),PERIOD_W1,1);
double m_high=iHigh(Symbol(),PERIOD_MN1,1);
double m_low =iLow(Symbol(),PERIOD_MN1,1);
double td_high=iHigh(Symbol(),PERIOD_D1,0);
double td_low =iLow(Symbol(),PERIOD_D1,0);
ObjectCreate("D_OPEN", OBJ_HLINE, 0, Time[0], d_open);
ObjectCreate("D_OPEN_T", OBJ_TEXT, 0, Time[10], d_open );

ObjectCreate("Y_HIGH", OBJ_HLINE, 0, Time[0], y_high);
ObjectCreate("Y_HIGH_T", OBJ_TEXT, 0, Time[10], y_high );

ObjectCreate("Y_LOW", OBJ_HLINE, 0, Time[0], y_low);
ObjectCreate("Y_LOW_T", OBJ_TEXT, 0, Time[10], y_low );

ObjectCreate("W_HIGH", OBJ_HLINE, 0, Time[0], w_high);
ObjectCreate("W_HIGH_T", OBJ_TEXT, 0, Time[10], w_high );

ObjectCreate("W_LOW", OBJ_HLINE, 0, Time[0], w_low);
ObjectCreate("w_LOW_T", OBJ_TEXT, 0, Time[10], w_low );

ObjectCreate("M_HIGH", OBJ_HLINE, 0, Time[0], m_high);
ObjectCreate("M_HIGH_T", OBJ_TEXT, 0, Time[10], m_high );

ObjectCreate("M_LOW", OBJ_HLINE, 0, Time[0], m_low);
ObjectCreate("m_LOW_T", OBJ_TEXT, 0, Time[10], m_low );

ObjectCreate("TD_HIGH", OBJ_HLINE, 0, Time[0], td_high);
ObjectCreate("TD_HIGH_T", OBJ_TEXT, 0, Time[10], td_high );

ObjectCreate("TD_LOW", OBJ_HLINE, 0, Time[0], td_low);
ObjectCreate("TD_LOW_T", OBJ_TEXT, 0, Time[10], td_low );

ObjectSet("D_OPEN", OBJPROP_COLOR, color1);
ObjectSetText("D_OPEN_T","Day Open",fontsize,"Arial",color1);

ObjectSet("Y_HIGH", OBJPROP_COLOR, color3);
ObjectSetText("Y_HIGH_T","Yesterday High",fontsize,"Arial",color3);

ObjectSet("Y_LOW", OBJPROP_COLOR, color4);
ObjectSetText("Y_LOW_T","Yesterday Low",fontsize,"Arial",color4);

ObjectSet("W_HIGH", OBJPROP_COLOR, color5);
ObjectSetText("W_HIGH_T","Last Week High",fontsize,"Arial",color6);

ObjectSet("W_LOW", OBJPROP_COLOR, color6);
ObjectSetText("W_LOW_T","Last Week Low",fontsize,"Arial",color7);

ObjectSet("M_HIGH", OBJPROP_COLOR, color5);
ObjectSetText("M_HIGH_T","Last Month High",fontsize,"Arial",color5);

ObjectSet("M_LOW", OBJPROP_COLOR, color5);
ObjectSetText("M_LOW_T","Last Month Low",fontsize,"Arial",color5);

ObjectSet("TD_HIGH", OBJPROP_COLOR, color6);
ObjectSetText("TD_HIGH_T","Today High",fontsize,"Arial",color6);

ObjectSet("TD_LOW", OBJPROP_COLOR, color6);
ObjectSetText("TD_LOW_T","Today Low",fontsize,"Arial",color6);
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+